<template>
  <div id="app">
    <el-container>
      <!-- <el-aside width="200px">
        <router-link to="/">Home</router-link> |
        <router-link to="/about">About</router-link>
      </el-aside> -->
      <el-container>
        <el-header class="layout-header">
          <div class="layout-header__left typo--h6">
            <router-link to="/">Zumata</router-link></div>
          <div class="layout-header__center"></div>
          <div class="layout-header__right typo--s2">
            <span>{{ z_user.email }}</span>
            <router-link to="/auth/login">Login</router-link>
            |
            <a @click="$store.dispatch('me/logout')">Logout</a>
          </div>

        </el-header>
        <el-main>
          <router-view/>
        </el-main>
      </el-container>
    </el-container>
  </div>
</template>

<style lang="scss">
  body {
    margin: 0;
    padding: 0;
  }
  .layout-header {
    background-color: $--color-primary;
    color: $--color-white;
    display: flex;
    align-items: center;
    &__left {
    }
    &__center {
      flex: 1;
    }
    &__right {
    }
  }
</style>
